Loading...
Searching...
No Matches
Magick::backgroundColorImage Class Reference

## Public Member Functions

| backgroundColorImage (const Color &color_)
void | operator() (Image &image_) const

## Private Attributes

Color | _color

## Detailed Description

Definition at line 1274 of file STL.h.

## Constructor & Destructor Documentation

## backgroundColorImage()

Magick::backgroundColorImage::backgroundColorImage | ( | const Color & | color_ | ) |

Definition at line 1185 of file STL.cpp.

: _color( color_ )
{
}

## Member Function Documentation

## operator()()

void Magick::backgroundColorImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1189 of file STL.cpp.

{
image_.backgroundColor( _color );
}

## Field Documentation

## _color

Color Magick::backgroundColorImage::_color

private

Definition at line 1282 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp